<?php
namespace Concrete\Package\CleanContentPlugin;

use Concrete\Core\Editor\Plugin;
use \Core;
use \AssetList;

class Controller extends \Concrete\Core\Package\Package
{

    protected $pkgHandle = 'clean_content_plugin';
    protected $appVersionRequired = '5.7.4';
    protected $pkgVersion = '0.9';

    public function getPackageDescription()
    {
        return t("Clean content by removing formatting spans and attributes.");
    }

    public function getPackageName()
    {
        return t("Clean Content");
    }

    public function on_start()
    {
        $al = AssetList::getInstance();
        $al->register(
            'javascript', 'editor/plugin/cleancontent', 'js/redactor/cleancontent.js',
                            array(), 'clean_content_plugin'
        );
        $al->registerGroup('editor/plugin/cleancontent', array(
            array('javascript', 'editor/plugin/cleancontent'),
        ));
        $plugin = new Plugin();
        $plugin->setKey('cleancontent');
        $plugin->setName('Clean Content');
        $plugin->requireAsset('editor/plugin/cleancontent');

        Core::make('editor')->getPluginManager()->register($plugin);
    }

}