if (!RedactorPlugins) var RedactorPlugins = {};

RedactorPlugins.cleancontent = function()
{
    return {
        init: function()
        {
            var dropdown = {};

            dropdown.clearFormatting = { title: 'Clear Formatting', func: this.cleancontent.formatClear };
            dropdown.clearAttributesLine = { title: 'Clear Attributes Line', func: this.cleancontent.formatAttributeLine };
            dropdown.clearAttributesAll = { title: 'Clear Attributes All', func: this.cleancontent.formatAttributeAll };

            var cleancontent = this.button.add('cleancontent', 'Clean Content');
            this.button.setAwesome('cleancontent', 'fa-eraser');
            this.button.addDropdown(cleancontent, dropdown);
        },
        formatClear: function()
        {
            this.inline.removeFormat();
        },
        formatAttributeLine: function()
        {
            this.buffer.set();
            var $attributes = $(this.selection.getBlock());
            $attributes.removeAttr('class style id rel');
            $attributes.find('*').removeAttr('class style id rel');
            this.code.sync();
        },
        formatAttributeAll: function()
        {
            this.buffer.set();
            $('.redactor-editor').find('*').removeAttr('class style id rel');
            this.code.sync();
        }
    };
};